<h1 mat-dialog-title>Rate {{data.movieTitle | slice:0:25}}{{data.movieTitle.length > 25 ? '...' : ''}}</h1>
<mat-dialog-content>
  <form [formGroup]="ratingForm">
    <p>Your rating: <span style="color: #303F9F;"><b>{{ratingForm.get('rating')?.value}}</b></span></p>
    <mat-slider class="custom-slider" min="1" max="10" step="0.5" tickInterval="0.5">
      <input matSliderThumb formControlName="rating">
    </mat-slider>
  </form>
</mat-dialog-content>
<mat-dialog-actions align="center">
  <button mat-button (click)="onCancel()" style="color: darkred; margin-right: 45px;">Cancel</button>
  <button mat-button (click)="onSubmit()" style="color: #303F9F;">Rate!</button>
</mat-dialog-actions>